Xeonr Developer Docs

List Brand Profiles

POST
/xeonr.auth.private.v1.BrandingService/ListBrandProfiles

Returns all brand profiles defined for the organisation.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.BrandingService/ListBrandProfiles" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "profiles": [
    {
      "id": "brand_a1b2c3d4",
      "name": "Acme",
      "primaryColor": "#4F46E5",
      "gradientColors": [
        "#6366F1",
        "#4F46E5"
      ],
      "logoUrl": "string",
      "bgImageDarkUrl": "string",
      "bgImageLightUrl": "string",
      "iacManaged": true,
      "headline": "Sign in to Acme",
      "subtitle": "Pick up where you left off"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}